Subject: bug#49038: [bug-diffutils] bug#49038: Speeding up diff on Windows

From: Paul Eggert <[email-masked]>
Date: Tue, 15 Jun 2021 12:51:16 -0700

On 6/15/21 4:57 AM, Gisle Vanem wrote:

> I seem to get the job done quicker. I cannot give any numbers on
> the speed-increase.

Although GNU/Linux doesn't have O_SEQUENTIAL, it has somewhat similar 
flags (e.g., madvise with MADV_SEQUENTIAL). I've tried using these flags 
in the past and came up empty: they complicate the code and sometimes 
make things faster and sometimes slower and it wasn't worth the 
maintenance trouble to tease things out.

I expect that Microsoft's O_SEQUENTIAL flag is similar. Besides, 
MS-Windows is relatively low priority for us.